/*
 * uart.h
 *
 *  Created on: 06-04-2013
 *      Author: Mirosław Kardaś
 */

#ifndef UART_H_
#define UART_H_

#define UART_BAUD 115200		// tu definiujemy interesującą nas prędkość
#define __UBRR ((F_CPU+UART_BAUD*8UL) / (16UL*UART_BAUD)-1)



void uart_init( uint16_t baud );

void uart_putc( char c );
void uart_puts( char * str );
void uart_puts_P( const char * str );
void uart_putint( uint32_t value );


#endif /* UART_H_ */
